package com.clx.performance.controller;

import com.clx.performance.param.pc.DealExceptionReportParam;
import com.clx.performance.service.OrderChildExceptionReportService;
import com.msl.common.result.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping(value="/pc/carrier/exceptionReport")
@Validated
@Tag(name = "承运端-异常上报")
@AllArgsConstructor
public class OrderChildExceptionReportController {

    private final OrderChildExceptionReportService orderChildExceptionReportService;

    @Deprecated
    @Operation(summary = "异常上报处理", description = "<br>By:刘海泉")
    public Result<?> updateDealExceptionReport(@RequestBody @Validated DealExceptionReportParam param) {
        orderChildExceptionReportService.updateDealExceptionReport(param);
        return Result.ok();
    }


}
